import React from 'react';
import PropTypes from 'prop-types';
import ReactDOM from 'react-dom';

var OfflineLayout = function OfflineLayout(_ref) {
  var children = _ref.children;

  return React.createElement(
    "div",
    {
      style: {
        backgroundImage: "url(https://images.unsplash.com/photo-1489376646075-cd00ac377106?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1355&q=80)",
        height: "100vh",
        display: "table",
        width: "100%",
        backgroundSize: "cover",
        backgroundPosition: "center"
      }
    },
    React.createElement(
      "div",
      {
        style: {
          display: "table-cell",
          verticalAlign: "middle",
          textAlign: "center",
          background: "rgba(0,0,0,0.6)"
        }
      },
      React.createElement(
        "div",
        {
          style: {
            maxWidth: "600px",
            margin: "auto",
            background: "#e5e5e5",
            border: "2px solid black",
            boxShadow: "0px 0px 16px 3px rgba(0,0,0,0.75)",
            padding: "40px"
          }
        },
        children ? children : "Coming soon"
      )
    )
  );
};

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = "/* add css styles here (optional) */\n";
styleInject(css);

var OfflineConfigComponent = function OfflineConfigComponent(_ref) {
  var _ref$isOffline = _ref.isOffline,
      isOffline = _ref$isOffline === undefined ? true : _ref$isOffline,
      _ref$root = _ref.root,
      root = _ref$root === undefined ? "root" : _ref$root,
      customLayout = _ref.customLayout,
      children = _ref.children;

  if (isOffline) {
    ReactDOM.unmountComponentAtNode(document.getElementById(root));
    ReactDOM.render(customLayout ? customLayout : React.createElement(
      OfflineLayout,
      null,
      children
    ), document.getElementById(root));
  }
  return null;
};

OfflineConfigComponent.propTypes = {
  isOffline: PropTypes.bool.isRequired,
  root: PropTypes.string,
  customLayout: PropTypes.object,
  children: PropTypes.any
};

export default OfflineConfigComponent;
//# sourceMappingURL=index.es.js.map
